**********
* PCSYPL *
**********
*
* Met dit programma kunnen we de beschrijvingen van de productlines
* wijzigen. Eerst het gewenste productlinenummer intikken, daarna wijzigen.
*
USE &prod:descr
STORE "." TO choice
DO WHILE (choice # "E")
   IF (choice $ '2.')
      @  7, 9 SAY "U KUNT NU DE OMSCHRIJVINGEN VAN DE PRODUCTLINES WIJZIGEN."
      @  8, 9 SAY "TIK EERST HET PRODUCTLINE-NUMMER, DE COMPUTER ZOEKT DE OMSCHRIJVING."
      @  9, 9 SAY "DAARNA KUNT U DE OMSCHRIJVING WIJZIGEN."
      @ 12,15 SAY "PRODUCTLINE-NUMMER :  :"
      @ 13,21 SAY "OMSCHRIJVING :                    :"   
      @ 16,25 SAY "1- WIJZIGEN OMSCHRIJVING"
      @ 17,25 SAY "2- AFDRUKKEN OMSCHRIJVINGEN"
      @ 18,25 SAY "E- EINDE"
      @ 20,28 SAY "UW KEUZE SVP :.:"
   ENDIF
   STORE "." TO choice
   DO WHILE .NOT. (choice $ '12E')
      STORE "1" TO choice
      @ 20,41 GET choice PICTURE "!"
      READ
      CLEAR GETS
   ENDDO
   IF choice = "1"
      STORE 0 TO prod:line
      DO WHILE prod:line = 0
         @ 12,15 SAY "PRODUCTLINE-NUMMER"
         @ 12,34 GET prod:line PICTURE "##"
         READ
         CLEAR GETS
      ENDDO
      STORE STR(prod:line,5) TO recno
      GOTO &recno
      @ 13,21 SAY "OMSCHRIJVING"
      @ 13,34 GET pr:ln:ds
      READ
      CLEAR GETS
   ENDIF
   IF choice = "2"
      * dump nummers
      @ 7,0
      @ 8,0
      @ 9,0
      @ 12,0
      @ 13,0
      @ 16,0
      @ 17,0
      @ 18,0
      @ 20,0
      @ 7,9 SAY "U KUNT NU ALLE PRODUCTLINE-NUMMERS LATEN AFDRUKKEN OP DE PRINTER."
      @ 8,9 SAY "CONTROLEER VOOR GEBRUIK DE PRINTER." 
      STORE "." TO akk
      DO WHILE .NOT. (akk $ "JN")
         STORE "." TO akk
         @ 20,68 SAY "AKKOORD " GET akk PICTURE "!"
         READ
         CLEAR GETS
      ENDDO
      IF akk = "J"
         @ 22,0 SAY "PRODUCTLINE-NUMMERS WORDEN NU AFGEDRUKT."
         SET FORMAT TO PRINT
         STORE 66 TO maxline 
         @ 3,11 SAY "OVERZICHT VAN PRODUCTLINE-NUMMERS EN OMSCHRIJVINGEN, DATUM: " + sysdate
         @ 5,11 SAY "PROD.LN.NR."
         @ 5,24 SAY "OMSCHRIJVING"
         @ 5,51 SAY "PROD.LN.NR."
         @ 5,64 SAY "OMSCHRIJVING"
         STORE 7 TO line
         USE &prod:descr
         GO TOP
         DO WHILE .NOT. EOF
            IF .NOT. *
               IF line > maxline
                  STORE 3 TO line
               ENDIF
               @ line,11 SAY STR(#,8)
               @ line,24 SAY pr:ln:ds    
               SKIP + 1
               IF .NOT. EOF
                  @ line,51 SAY STR(#,8)
                  @ line,64 SAY pr:ln:ds
               ENDIF
               STORE line + 1 TO line
            ENDIF
            SKIP +1
         ENDDO
         @ 68,0 SAY " "
         SET FORMAT TO SCREEN
      ENDIF
      @ 7,0
      @ 8,0
      @ 20,0
      @ 22,0 SAY "                                        "
   ENDIF
ENDDO
USE
RETURN
*
* EINDE PROGRAMMA
*
